An information disclosure via GET request server-side request forgery vulnerability was discovered with the Workplace Search Github Enterprise Server integration. Using this vulnerability, a malicious Workplace Search admin could use the GHES integration to view hosts that might not be publicly accessible.
Published 2021-12-07 19:15:07
Updated 2021-12-09 19:24:53
Source Elastic
View at NVD,   CVE.org
Vulnerability category: Server-side request forgery (SSRF) Information leak

Exploit prediction scoring system (EPSS) score for CVE-2021-37940

Probability of exploitation activity in the next 30 days: 0.07%

Percentile, the proportion of vulnerabilities that are scored at or less: ~ 27 % EPSS Score History EPSS FAQ

CVSS scores for CVE-2021-37940

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Source
4.0
MEDIUM AV:N/AC:L/Au:S/C:P/I:N/A:N
8.0
2.9
nvd@nist.gov
6.8
MEDIUM CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:C/C:H/I:N/A:N
2.3
4.0
nvd@nist.gov

CWE ids for CVE-2021-37940

  • The web server receives a URL or similar request from an upstream component and retrieves the contents of this URL, but it does not sufficiently ensure that the request is being sent to the expected destination.
    Assigned by:
    • bressers@elastic.co (Secondary)
    • nvd@nist.gov (Primary)

References for CVE-2021-37940

Products affected by CVE-2021-37940

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!